Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

ati drivers

None
12 antwoorden
  • Hoe goed worden ati-videokaarten ondersteund onder linux? Nvidia wordt goed ondersteund, maar geldt dat ook voor ati? Kan xfree86 ook goed met ati-videokaarten overweg?
  • [quote:28a0b0da17="computerbacterie"]Hoe goed worden ati-videokaarten ondersteund onder linux?[/quote:28a0b0da17] Check om mee te beginnen deze Connect3D Radeon X800 Linux Review.
  • Bedankt voor de link. Echter wordt daarin gesproken over ati-propriëtaire-drivers en ik wil de standaard drivers van X gebruiken. Maar als ik "nv" vervang door "ati" dan doet ie het niet. In ieder geval maak ik uit die link op dat de propriëtaire drivers van ati waarschijnlijk werken.

    Het probleem dat ik heb is het volgende: "nv" vervangen door "ati" werkt niet. Vesa werkt wel, maar dan is de refreshrate te laag, volgens mij maar 60 Hertz want het beeldscherm knippert.

    Ik heb een asus x800 pro videokaart in mijn systeem en gebruik debian maar ik krijg hem niet goed aan de praat zonder de originele ati-drivers te gebruiken - iets wat bij nvidia wel lukte.
  • [quote:5668bca9ea="computerbacterie"] Het probleem dat ik heb is het volgende: "nv" vervangen door "ati" werkt niet. Vesa werkt wel, maar dan is de refreshrate te laag, [/quote:5668bca9ea] Heb je het al geprobeerd met Driver "radeon". Of die jouw videokaart ondersteund weet ik niet. Op een pc met een Radeon 9000 werkt deze driver wel sneller dan de "vesa" driver, in Debian 3.1 met kernel 2.6.8 (refreshrate 75 Hz)
  • Ik gebruik inmiddels een aantal jaren (niet altijd) naar tevredenheid ATI-drivers, afwisselend de proprietaire en de vrije, voor mijn radeon 9200 SE videokaart.

    De vrije drivers werken goed, ook met 3d acceleratie middels DRI. Ze geven echter de kleuren en alfa-blending niet goed weer in enkele 3d spellen.

    De proprietaire drivers werken uitstekend, maar zijn een crime om te installeren, een klus die bij elke kernel-update herhaald moet worden. Bovendien vereiste dit in de kernel-versies 2.6.11 en 2.6.12 uitgebreid patch-werk, omdat ati deze nog niet ondersteunt. (Ik zie dat ATI 2.6.11 inmiddels wel ondersteunt)
  • driver "radeon" doet het ook niet. Hij zegt "no screens" en mompelt wat over bestanden met .o als extensie. Misschien dat bepaalde bibliotheken niet geinstalleerd zijn of zo. Maar ik ga binnenkort even Debian opnieuw installeren en kijken of dat helpt.
  • [quote:e1388494fe="7_feet_up"]De vrije drivers werken goed, ook met 3d acceleratie middels DRI. Ze geven echter de kleuren en alfa-blending niet goed weer in enkele 3d spellen.[/quote:e1388494fe]

    Welke 3d-spellen? En gebruik je nog iets speciaals om spellen te doen onder linux of doet Wine het goed genoeg?
  • America's Army:native linux (open drivers geven kleuren en alfa-blending niet goed weer, maar wel speelbaar. ATI's eigen drivers werken uitstekend)
    Darwinia: native
    Half-life 1 en 2 (1 werkte prima met wine, 2 met cedega: open drivers geven kleuren niet goed (=flitsend rood en geel) weer, dus niet speelbaar. ATI's drivers moet ik nog proberen)
    Medal of Honor Allied Assault (is native beschikbaar, maar werkt niet bij ATI-kaarten, vandaar met cedega)
    Nexuiz (native)
  • En heb je een abbonement op cedega of gebruik je de gratis versie?
  • Ik heb nu de ati proprietaire drivers geinstalleerd en het lijkt te werken. In ieder geval knippert het beeld duidelijk minder.
  • ik gebruik de gratis cvs-versie van cedega.
    Zelf krijg ik momenteel de 3-acceleratie van de fglrx driver (ATI's gesloten driver) niet werkend. Dit schijnt te komen omdat de versies 6.8.* van xorg (die sindskort worden meegeleverd met debian unstable) nog incompatibel is met fglrx. Hier wordt aan gewerkt heb ik ergens gelezen. De versies tot 6.7.* werken wel, maar die worden niet door debian geleverd (wel door ubuntu). Dit is de reden waarom ik momenteel de open drivers gebruik ipv de gesloten fglrx.
  • Ik krijg de 3d-acceleratie volgens mij ook niet werkend en ik heb Debian Sarge en xfree86.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.